using System;
using System.Collections.Generic;

namespace Syntriax.Modules.Movement
{
    public interface IMovementController
    {
        IMovement ActiveMovement { get; }
        List<IMovement> Movements { get; }

        Action<IMovement> OnMovementDeactivated { get; set; }
        Action<IMovement> OnMovementActivated { get; set; }

        void RecacheMovements();
    }
}
